Bug 1384317 - (php-pecl-uopz) Review Request: php-pecl-uopz - User Operations for Zend
Review Request: php-pecl-uopz - User Operations for Zend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-13 01:55 EDT by Remi Collet
Modified: 2016-10-18 07:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-18 07:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
fedora-review.txt (8.12 KB, text/plain)
2016-10-13 09:48 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-10-13 01:55:54 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/da4b04ee8525bca04a464f1d9cc630172502ed0b/php/pecl/php-pecl-uopz/fedora/php-pecl-uopz.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pecl-uopz-5.0.1-1.fc23.remi.src.rpm
Description: 
User Operations for Zend: doing things you probably shouldn't since 2014.

The uopz extension exposes Zend engine functionality normally used at
compilation and execution time in order to allow modification of the
internal structures that represent PHP code.

It supports the following activities:
- Overloading some Zend opcodes including exit/new and composure opcodes
- Renaming functions and methods
- Aliasing functions and methods
- Deletion of functions and methods
- Redefinition of constants
- Deletion of constants
- Runtime composition and modification of classes

Documentation: http://php.net/uopz


Fedora Account System Username: remi

---

This package is for PHP 7, so Fedora 25+ only
(Perhaps I will push later the PHP 5 compatible version in other branch)
Comment 1 Remi Collet 2016-10-13 01:58:27 EDT
This extension is an optional dependency of PHPUnit (sebastian/global-state), required for some test suites (e.g. the sentry/sentry one).
Comment 2 Shawn Iwinski 2016-10-13 09:48 EDT
Created attachment 1210122 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1384317
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Shawn Iwinski 2016-10-13 09:49:34 EDT
No blockers

===== APPROVED =====
Comment 4 Remi Collet 2016-10-13 09:56:12 EDT
Thanks for the "fast" review.

SCM request open.
Comment 5 Gwyn Ciesla 2016-10-13 10:09:39 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-pecl-uopz
Comment 6 Fedora Update System 2016-10-14 00:55:51 EDT
php-pecl-uopz-5.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-461c436306
Comment 7 Fedora Update System 2016-10-18 07:30:32 EDT
php-pecl-uopz-5.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.